<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

if (!isset ($_GET['id']))
{
$us_adm = isset ($user) ? $user['id'] : 0;
} else {
$us_adm = intval($_GET['id']);
}
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));

$set['title']='Гостевая книга '.$ank_adm['nick']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
$us_guest=mysql_fetch_array(mysql_query("select * from `us_guest` where `id`='".$us_adm."';"));



if (isset($user) && $user['level']>2)include 'inc/admin_act.php';
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
else{
$msg=mysql_escape_string($msg);
$arr = array("wapsa.ru"=>"wapmoda.ru", "Wapsa.ru"=>"[red]wapmoda.ru[/red]","WAPSA.RU"=>"wapmoda.ru");
mysql_query(strtr("INSERT INTO `us_guest` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')",$arr));
msg('Сообщение успешно добавлено');
if (isset($user) && $user['id']!=$us_adm){
$msg2="[b]$user[nick][/b] Оставил сообщение вашей [url=http://мой сайт/us_guest/index.php?id=$us_adm]гостевой книге[/url]";
mysql_query("INSERT INTO `jurnal_g` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");
}
}
}
if (isset($_POST['msg']) && !isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `id_user_adm` = $us_adm AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);
$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `us_guest` (id_user, id_user_adm, time, msg) values('0', '$us_adm', '$time', '$msg')");
msg('Сообщение успешно добавлено');
}
}

err();
aut(); // форма авторизации
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `us_guest` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post' width='100%'>\n";
if ($k_post==0)
{
echo "Нет сообщений<br/>\n";
}

$q=mysql_query("SELECT * FROM `us_guest` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
echo '<td class="rowup">';
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'>$ank[nick]</span></a>\n";

echo "(".vremja($post['time']).")<br/>\n";
echo output_text($post['msg'])."<br />\n";


//echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
echo "</span>\n";
if (isset ($user))
{
echo '<a href="reply.php?id='.$post['id'].'">[ответить]</a> ';
}
if ((isset($user) && $user['id']==$ank_adm['id']) || (($user['level'] > 3) && ($ank_adm['level'] < 4))){
echo "<a href='delete.php?id=$post[id]'>[удалить]</a><br />\n";
}
echo "</td>\n";
echo "</tr>\n";
}
echo "</table>\n";
if ($k_page>1)str('?id='.$ank_adm['id'].'&',$k_page,$page); // Вывод страниц

if (isset($user))
{
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

include_once '../sys/inc/tfoot.php';
?>
